Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QClipboard.Mode

    java.lang.Object
      java.lang.Enum<QClipboard.Mode>
          com.trolltech.qt.gui.QClipboard.Mode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QClipboard.Mode>

Enclosing class:
  QClipboard

    public static enum QClipboard.Mode

extends java.lang.Enum<QClipboard.Mode>
implements QtEnumerator

This enum type is used to control which part of the system clipboard is used by QClipboard.:mimeData(), QClipboard::setMimeData() and related functions.

See Also:
  `QClipboard::supportsSelection`

Enum Constant Summary
`Clipboard` indicates that data should be stored and retrieved from the global clipboard.
`FindBuffer` indicates that data should be stored and retrieved from the Find buffer.
`Selection` indicates that data should be stored and retrieved from the global mouse selection.

Method Summary
`static QClipboard.Mode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QClipboard.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QClipboard.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Clipboard

    public static final QClipboard.Mode Clipboard

  indicates that data should be stored and retrieved from the global clipboard.

### Selection

    public static final QClipboard.Mode Selection

  indicates that data should be stored and retrieved from the global mouse selection. Support for `Selection` is provided only on systems with a global mouse selection (e.g. X11).

### FindBuffer

    public static final QClipboard.Mode FindBuffer

  indicates that data should be stored and retrieved from the Find buffer. This mode is used for holding search strings on Mac OS X.

Method Detail

### values

    public static final QClipboard.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QClipboard.Mode c : QClipboard.Mode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QClipboard.Mode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QClipboard.Mode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD